<h2 mat-dialog-title>Excluir cliente</h2>
<mat-dialog-content>
  <p>Tem certeza que deseja excluir o cliente {{customer.name}}?</p> 
</mat-dialog-content>
<mat-dialog-actions position="end">
  <button mat-raised-button color="warn" mat-dialog-close>Cancelar</button>
  <button mat-raised-button color="primary" (click)="deleteCustomer()">Excluir</button>
</mat-dialog-actions>